routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});

Auth::routes(['verify'=> true]);

Route::get('/', 'HomeController@index')->name('index')->middleware('verified');
Route::get('lang/{locale}', 'HomeController@lang');

Route::view('requirement','requirement')->name('requirement');

Route::view('price','price')->name('price');

Route::view('contact','contact')->name('contact');

Route::view('gallery','gallery')->name('gallery');

Route::resource('profile', 'ProfileController');

Route::get('dashboard','DashboardController@index')->name('dashboard.index');

Route::resource('service', 'ServiceController');

Route::resource('driver', 'DriverController');

Route::resource('order', 'OrderController');

app/Service.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

/**
 * App\Service
 *
 * @property int $id
 * @property string $category
 * @property string $title
 * @property string|null $subscription
 * @property string $documents
 * @property int $age
 * @property int $price
 * @property string $duration
 * @property bool $disabled
 * @property \Illuminate\Support\Carbon|null $deleted_at
 * @property \Illuminate\Support\Carbon|null $created_at
 * @property \Illuminate\Support\Carbon|null $updated_at
 * @method static bool|null forceDelete()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Service newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Service newQuery()
 * @method static \Illuminate\Database\Query\Builder|\App\Service onlyTrashed()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Service query()
 * @method static bool|null restore()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Service whereAge($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Service whereCategory($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Service whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Service whereDeletedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Service whereDisabled($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Service whereDocuments($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Service whereDuration($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Service whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Service wherePrice($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Service whereSubscription($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Service whereTitle($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Service whereUpdatedAt($value)
 * @method static \Illuminate\Database\Query\Builder|\App\Service withTrashed()
 * @method static \Illuminate\Database\Query\Builder|\App\Service withoutTrashed()
 * @mixin \Eloquent
 * @property-read \Illuminate\Database\Eloquent\Collection|\App\Order[] $orders
 */
class Service extends Model
{
    use SoftDeletes;

    protected $guarded = [];

    public function orders() {
        return $this->hasMany(Order::class);
    }
}

app/Http/Controllers/ServiceController.php
<?php

namespace App\Http\Controllers;

use App\Http\Requests\StoreServiceRequest;
use App\Http\Requests\UpdateServiceRequest;
use App\Service;

class ServiceController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        //
        $services = Service::paginate(25);
        return response($services);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
        return view('service.create');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param StoreServiceRequest $storeServiceRequest
     * @return \Illuminate\Http\Response
     */
    public function store(StoreServiceRequest $storeServiceRequest)
    {
        //
        $service = new Service($storeServiceRequest->validated());
        $service->save();
        return response($service);
    }

    /**
     * Display the specified resource.
     *
     * @param  Service  $service
     * @return \Illuminate\Http\Response
     */
    public function show(Service $service)
    {
        //
        return view('service.show', compact('service'));
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  Service  $service
     * @return \Illuminate\Http\Response
     */
    public function edit(Service $service)
    {
        //
        return view('service.edit', compact('service'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param UpdateServiceRequest $updateServiceRequest
     * @param Service $service
     * @return void
     */
    public function update(UpdateServiceRequest $updateServiceRequest, Service $service)
    {
        //
        $service->update($updateServiceRequest->validated());
        return redirect('service/' . $service->id . '/edit');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param Service $service
     * @return \Illuminate\Http\Response
     * @throws \Exception
     */
    public function destroy(Service $service)
    {
        //
        $service->delete();
        return redirect('/');
    }
}

resources/views/service/create.blade.php
@extends('layouts.app')

@section('content')
    <div class="container">
        <div class="row justify-content-center">
            <div class="col-md-8">
                <div class="card">
                    <div class="card-header">{{ __('service.service') }}</div>

                    <div class="card-body">
                        <form method="POST" action="{{ route('service.store') }}">
                            @include('service.form')
                            <div class="form-group row mb-0">
                                <div class="col-md-12 text-center">
                                    <button type="submit" class="btn btn-primary">
                                        {{ __('service.save') }}
                                    </button>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection

resources/views/service/edit.blade.php
@extends('layouts.app')

<script type="text/javascript" src="{{mix('js/service/disabledCheckbox.js')}}"></script>

@section('content')
    <div class="container">
        <div class="row justify-content-center">
            <div class="col-md-8">
                <div class="card">
                    <div class="card-header">{{ __('service.service') }}</div>

                    <div class="card-body">
                        <form method="POST" action="{{ route('service.update',['service' => $service->id]) }}">
                            @method('PUT')
                            @include('service.form')
                            <div class="form-group row mb-0">
                                <div class="col-md-12 text-center">
                                    <button type="submit" class="btn btn-primary">
                                        {{ __('service.save') }}
                                    </button>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection

resources/views/service/form.blade.php
<div class="form-group row">
    <label for="category" class="col-md-4 col-form-label text-md-right">{{ __('service.category') }}</label>

    <div class="col-md-6">
        <select name="category" id="category" class="form-control @error('category') is-invalid @enderror" required>
            <option value="" selected>{{__('service.choose_category')}}</option>
            @php
                $serviceCategories = Config::get('categories.service');
            @endphp
            @foreach($serviceCategories as $serviceCategory)
                @if( isset($service->category) && ($service->category == $serviceCategory) )
                    <option value="{{$serviceCategory}}" selected>{{$serviceCategory}}</option>
                @elseif(old('category') == $serviceCategory)
                    <option value="{{$serviceCategory}}" selected>{{$serviceCategory}}</option>
                @else
                    <option value="{{$serviceCategory}}">{{$serviceCategory}}</option>
                @endif
            @endforeach
        </select>
        @error('category')
        <span class="invalid-feedback" role="alert"><strong>{{ $message }}</strong></span>
        @enderror
    </div>
</div>

<div class="form-group row">
    <label for="title" class="col-md-4 col-form-label text-md-right">{{ __('service.title') }}</label>

    <div class="col-md-6">
        <textarea name="title" id="title" cols="30" rows="3" class="form-control @error('title') is-invalid @enderror"
                  required autofocus>{{ old('title') ?? $service->title ?? '' }}</textarea>

        @error('title')
        <span class="invalid-feedback" role="alert"><strong>{{ $message }}</strong></span>
        @enderror
    </div>
</div>

<div class="form-group row">
    <label for="subscription" class="col-md-4 col-form-label text-md-right">{{ __('service.subscription') }}</label>

    <div class="col-md-6">
        <textarea name="subscription" id="subscription" cols="30" rows="3"
                  class="form-control @error('subscription') is-invalid @enderror"
                  autofocus>{{ old('subscription') ?? $service->subscription ?? '' }}</textarea>

        @error('subscription')
        <span class="invalid-feedback" role="alert"><strong>{{ $message }}</strong></span>
        @enderror
    </div>
</div>

<div class="form-group row">
    <label for="documents" class="col-md-4 col-form-label text-md-right">{{ __('service.documents') }}</label>

    <div class="col-md-6">
        <textarea name="documents" id="documents" cols="30" rows="10"
                  class="form-control @error('documents') is-invalid @enderror"
                  required autofocus>{{ old('documents') ?? $service->documents ?? '' }}</textarea>

        @error('documents')
        <span class="invalid-feedback" role="alert"><strong>{{ $message }}</strong></span>
        @enderror
    </div>
</div>

<div class="form-group row">
    <label for="age" class="col-md-4 col-form-label text-md-right">{{ __('service.age') }}</label>

    <div class="col-md-6">
        <input id="age" type="number"
               class="form-control @error('age') is-invalid @enderror" name="age"
               value="{{ old('age') ?? $service->age ?? '' }}" required autocomplete="age" autofocus>

        @error('age')
        <span class="invalid-feedback" role="alert"><strong>{{ $message }}</strong></span>
        @enderror
    </div>
</div>

<div class="form-group row">
    <label for="price" class="col-md-4 col-form-label text-md-right">{{ __('service.price') }}</label>

    <div class="col-md-6">
        <input id="price" type="number"
               class="form-control @error('price') is-invalid @enderror" name="price"
               value="{{ old('price') ?? $service->price ?? '' }}" required autocomplete="price" autofocus>

        @error('price')
        <span class="invalid-feedback" role="alert"><strong>{{ $message }}</strong></span>
        @enderror
    </div>
</div>

<div class="form-group row">
    <label for="duration" class="col-md-4 col-form-label text-md-right">{{ __('service.duration') }}</label>

    <div class="col-md-6">
        <input id="duration" type="text"
               class="form-control @error('duration') is-invalid @enderror" name="duration"
               value="{{ old('duration') ?? $service->duration ?? '' }}" required autocomplete="duration" autofocus>

        @error('duration')
        <span class="invalid-feedback" role="alert"><strong>{{ $message }}</strong></span>
        @enderror
    </div>
</div>

<div class="form-group row">
    <div class="offset-4 col-md-6">
        <div class="custom-control custom-checkbox">
            <input type="hidden" id="disabled" name="disabled"
                   value="<?php (isset($service->disabled) && ($service->disabled == 'on')) ? print('on') : print('off'); ?>">
            <input type="checkbox" class="custom-control-input form-control @error('disabled') is-invalid @enderror" id="disabledCheckbox">
            @error('disabled')
            <span class="invalid-feedback" role="alert"><strong>{{ $message }}</strong></span>
            @enderror
            <label class="custom-control-label" for="disabledCheckbox">{{ __('service.disabled') }}</label>
        </div>
    </div>
</div>

<hr>
@csrf

resources/views/service/show.blade.php
@extends('layouts.app')

<script type="text/javascript" src="{{ mix('js/service/show.js') }}" defer></script>
<script type="text/javascript" src="{{mix('js/service/disabledCheckbox.js')}}" defer></script>

@section('content')
    <div class="container">
        <div class="row justify-content-center">
            <div class="col-md-8">
                <div class="card">
                    <div class="card-header">{{ __('service.service') }}</div>

                    <div class="card-body">
                        <form method="GET" action="{{ route('service.show',['service' => $service->id]) }}" id="show_service_form">
                            @method('GET')
                            @include('service.form')
                            <div class="form-group row mb-0">
                                <div class="col-md-12 text-center">
                                    <button type="submit" class="btn btn-primary">
                                        {{ __('service.save') }}
                                    </button>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection